Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.exchange
Class AbstractMessageExchange

    java.lang.Object
      org.codehaus.xfire.exchange.AbstractMessageExchange

All Implemented Interfaces:
  MessageExchange

Direct Known Subclasses:
  InExchange, RobustInOutExchange

    public abstract class AbstractMessageExchange

extends java.lang.Object
implements MessageExchange

Constructor Summary
`AbstractMessageExchange(MessageContext context)`

Method Summary
`MessageContext` | `getContext()`
`Channel` | `getDeadLetterChannel()`
`Channel` | `getFaultChannel()`
`AbstractMessage` | `getFaultMessage()`
`Channel` | `getInChannel()`
`InMessage` | `getInMessage()`
`AbstractMessage` | `getMessage(java.lang.String type)`
`OperationInfo` | `getOperation()`
`Channel` | `getOutChannel()`
`OutMessage` | `getOutMessage()`
`boolean` | `hasFaultMessage()`
`boolean` | `hasInMessage()`
`boolean` | `hasMessage(java.lang.String type)`
`boolean` | `hasOutMessage()`
`void` | `setFaultMessage(AbstractMessage faultMessage)`
`void` | `setInMessage(InMessage inMessage)`
`void` | `setMessage(java.lang.String type, AbstractMessage faultMessage)`
`void` | `setOperation(OperationInfo operation)`
`void` | `setOutMessage(OutMessage outMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMessageExchange

    public AbstractMessageExchange(MessageContext context)

Method Detail

### getContext

    public MessageContext getContext()

### getOperation

    public OperationInfo getOperation()

  Specified by:
    `getOperation` in interface `MessageExchange`

### setOperation

    public void setOperation(OperationInfo operation)

  Specified by:
    `setOperation` in interface `MessageExchange`

### getInMessage

    public InMessage getInMessage()
                           throws java.lang.UnsupportedOperationException

  Specified by:
    `getInMessage` in interface `MessageExchange`
  Throws:
    `java.lang.UnsupportedOperationException`

### getOutMessage

    public OutMessage getOutMessage()
                             throws java.lang.UnsupportedOperationException

  Specified by:
    `getOutMessage` in interface `MessageExchange`
  Throws:
    `java.lang.UnsupportedOperationException`

### getFaultMessage

    public AbstractMessage getFaultMessage()
                                    throws java.lang.UnsupportedOperationException

  Specified by:
    `getFaultMessage` in interface `MessageExchange`
  Throws:
    `java.lang.UnsupportedOperationException`

### setFaultMessage

    public void setFaultMessage(AbstractMessage faultMessage)

  Specified by:
    `setFaultMessage` in interface `MessageExchange`

### setInMessage

    public void setInMessage(InMessage inMessage)

  Specified by:
    `setInMessage` in interface `MessageExchange`

### setOutMessage

    public void setOutMessage(OutMessage outMessage)

  Specified by:
    `setOutMessage` in interface `MessageExchange`

### getMessage

    public AbstractMessage getMessage(java.lang.String type)
                               throws java.lang.UnsupportedOperationException

  Specified by:
    `getMessage` in interface `MessageExchange`
  Throws:
    `java.lang.UnsupportedOperationException`

### hasFaultMessage

    public boolean hasFaultMessage()

  Specified by:
    `hasFaultMessage` in interface `MessageExchange`

### hasInMessage

    public boolean hasInMessage()

  Specified by:
    `hasInMessage` in interface `MessageExchange`

### hasMessage

    public boolean hasMessage(java.lang.String type)

  Specified by:
    `hasMessage` in interface `MessageExchange`

### hasOutMessage

    public boolean hasOutMessage()

  Specified by:
    `hasOutMessage` in interface `MessageExchange`

### setMessage

    public void setMessage(java.lang.String type,
                           AbstractMessage faultMessage)

  Specified by:
    `setMessage` in interface `MessageExchange`

### getInChannel

    public Channel getInChannel()

### getOutChannel

    public Channel getOutChannel()

### getFaultChannel

    public Channel getFaultChannel()

### getDeadLetterChannel

    public Channel getDeadLetterChannel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.